# $Revision: 1.6.2.1 $, $Date: 2007/04/08 20:48:09 $
Summary:	Library implementing the SSH protocol
Summary(pl):	Biblioteka implementujca protok SSH
Name:		libssh
Version:	0.2
Release:	1
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://0xbadc0de.be/libssh/%{name}-%{version}.tgz
# Source0-md5:	8a76c03579a3e27046e6bafe88ffd171
URL:		http://0xbadc0de.be/wiki/doku.php?id=libssh:libssh
BuildRequires:	libmagic-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ssh library was designed to be used by programmers needing a
working SSH implementation by the mean of a library. The complete
control of the client is made by the programmer. With libssh, you can
remotely execute programs, transfer files, use a secure and
transparent tunnel for your remote programs. With its Secure FTP
implementation, you can play with remote files easily, without
third-party programs others than libcrypto (from openssl).

%description -l pl
Biblioteka ssh zostaa zaprojektowana do uywania przez programistw
potrzebujcych dziaajcej implementacji SSH w postaci biblioteki. Za
pomoc libssh mona przesya pliki, zdalnie uruchamia programy bd
te tworzy na ich potrzeby bezpieczne i przezroczyste tunele. Dziki
zawartej implementacji protokou Secure FTP programista ma moliwo
atwego wykonywania operacji na zdalnych plikach bez koniecznoci
korzystania z dodatkowego zewntrznego oprogramowania poza bibliotek
libcrypto (pakiet openssl).

%package devel
Summary:	Header files for libssh library
Summary(pl):	Pliki nagwkowe biblioteki libssh
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libssh library.

%description devel -l pl
Pliki nagwkowe biblioteki libssh.

%prep
%setup -q

%build
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libssh.so
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libssh.spec,v $
Revision 1.6.2.1  2007/04/08 20:48:09  undefine
- iso on AC-branch

Revision 1.6  2007/04/03 18:29:51  undefine
- doesn't compile with make -j != 1

Revision 1.5  2007/03/25 21:01:41  undefine
- up to 0.2.0
- epoch 1 (0.2 > 0.11)
- makefile patch not needed anymore

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/07/10 18:40:26  qboosh
- removed bogus intltoolize,gettextize,libtoolize,aclocal calls

Revision 1.1  2006/07/06 02:16:23  sparky
- NEW, by Jacek 'jackass' Brzozowski <metallowiec@op.pl>
- fixed for lib64
